GET /me
Return the identity behind the caller's credential.
curl "https://api.ellipsis.dev/v1/me" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"api_key_id": "string",
"customer_id": "string",
"customer_login": "string",
"gh_user": {
"avatar_url": "string",
"bio": "string",
"blog": "string",
"business_plus": false,
"collaborators": 0,
"company": "string",
"created_at": "2026-01-01T00:00:00Z",
"disk_usage": 0,
"email": "string",
"events_url": "string",
"followers": 0,
"followers_url": "string",
"following": 0,
"following_url": "string",
"gists_url": "string",
"gravatar_id": "string",
"hireable": false,
"html_url": "string",
"id": 0,
"ldap_dn": "string",
"location": "string",
"login": "string",
"name": "string",
"node_id": "string",
"notification_email": "string",
"organizations_url": "string",
"owned_private_repos": 0,
"plan": {
"collaborators": 0,
"name": "string",
"private_repos": 0,
"space": 0
},
"private_gists": 0,
"public_gists": 0,
"public_repos": 0,
"received_events_url": "string",
"repos_url": "string",
"site_admin": false,
"starred_url": "string",
"subscriptions_url": "string",
"total_private_repos": 0,
"twitter_username": "string",
"two_factor_authentication": false,
"type": "User",
"updated_at": "2026-01-01T00:00:00Z",
"url": "string",
"user_view_type": "string"
},
"sandbox_id": "string",
"user_id": "string"
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.me()
print(result){
"api_key_id": "string",
"customer_id": "string",
"customer_login": "string",
"gh_user": {
"avatar_url": "string",
"bio": "string",
"blog": "string",
"business_plus": false,
"collaborators": 0,
"company": "string",
"created_at": "2026-01-01T00:00:00Z",
"disk_usage": 0,
"email": "string",
"events_url": "string",
"followers": 0,
"followers_url": "string",
"following": 0,
"following_url": "string",
"gists_url": "string",
"gravatar_id": "string",
"hireable": false,
"html_url": "string",
"id": 0,
"ldap_dn": "string",
"location": "string",
"login": "string",
"name": "string",
"node_id": "string",
"notification_email": "string",
"organizations_url": "string",
"owned_private_repos": 0,
"plan": {
"collaborators": 0,
"name": "string",
"private_repos": 0,
"space": 0
},
"private_gists": 0,
"public_gists": 0,
"public_repos": 0,
"received_events_url": "string",
"repos_url": "string",
"site_admin": false,
"starred_url": "string",
"subscriptions_url": "string",
"total_private_repos": 0,
"twitter_username": "string",
"two_factor_authentication": false,
"type": "User",
"updated_at": "2026-01-01T00:00:00Z",
"url": "string",
"user_view_type": "string"
},
"sandbox_id": "string",
"user_id": "string"
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.me();
console.log(result);{
"api_key_id": "string",
"customer_id": "string",
"customer_login": "string",
"gh_user": {
"avatar_url": "string",
"bio": "string",
"blog": "string",
"business_plus": false,
"collaborators": 0,
"company": "string",
"created_at": "2026-01-01T00:00:00Z",
"disk_usage": 0,
"email": "string",
"events_url": "string",
"followers": 0,
"followers_url": "string",
"following": 0,
"following_url": "string",
"gists_url": "string",
"gravatar_id": "string",
"hireable": false,
"html_url": "string",
"id": 0,
"ldap_dn": "string",
"location": "string",
"login": "string",
"name": "string",
"node_id": "string",
"notification_email": "string",
"organizations_url": "string",
"owned_private_repos": 0,
"plan": {
"collaborators": 0,
"name": "string",
"private_repos": 0,
"space": 0
},
"private_gists": 0,
"public_gists": 0,
"public_repos": 0,
"received_events_url": "string",
"repos_url": "string",
"site_admin": false,
"starred_url": "string",
"subscriptions_url": "string",
"total_private_repos": 0,
"twitter_username": "string",
"two_factor_authentication": false,
"type": "User",
"updated_at": "2026-01-01T00:00:00Z",
"url": "string",
"user_view_type": "string"
},
"sandbox_id": "string",
"user_id": "string"
}No request body.
{
"properties": {
"api_key_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"customer_id": {
"type": "string"
},
"customer_login": {
"type": "string"
},
"gh_user": {
"anyOf": [
{
"properties": {
"avatar_url": {
"type": "string"
},
"bio": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"blog": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"business_plus": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"collaborators": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"company": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"anyOf": [
{
"format": "date-time",
"type": "string"
},
{
"type": "null"
}
]
},
"disk_usage": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"email": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"events_url": {
"type": "string"
},
"followers": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"followers_url": {
"type": "string"
},
"following": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"following_url": {
"type": "string"
},
"gists_url": {
"type": "string"
},
"gravatar_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"hireable": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"html_url": {
"type": "string"
},
"id": {
"type": "integer"
},
"ldap_dn": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"location": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"login": {
"type": "string"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"node_id": {
"type": "string"
},
"notification_email": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"organizations_url": {
"type": "string"
},
"owned_private_repos": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"plan": {
"anyOf": [
{
"properties": {
"collaborators": {
"type": "integer"
},
"name": {
"type": "string"
},
"private_repos": {
"type": "integer"
},
"space": {
"type": "integer"
}
},
"required": [
"collaborators",
"name",
"space",
"private_repos"
],
"type": "object"
},
{
"type": "null"
}
]
},
"private_gists": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"public_gists": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"public_repos": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"received_events_url": {
"type": "string"
},
"repos_url": {
"type": "string"
},
"site_admin": {
"type": "boolean"
},
"starred_url": {
"type": "string"
},
"subscriptions_url": {
"type": "string"
},
"total_private_repos": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"twitter_username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"two_factor_authentication": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"type": {
"enum": [
"User",
"Organization",
"Bot",
"Mannequin"
],
"type": "string"
},
"updated_at": {
"anyOf": [
{
"format": "date-time",
"type": "string"
},
{
"type": "null"
}
]
},
"url": {
"type": "string"
},
"user_view_type": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"login",
"avatar_url",
"html_url",
"node_id",
"url",
"followers_url",
"following_url",
"gists_url",
"starred_url",
"subscriptions_url",
"organizations_url",
"repos_url",
"events_url",
"received_events_url",
"site_admin"
],
"type": "object"
},
{
"type": "null"
}
]
},
"sandbox_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"user_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"customer_id",
"customer_login",
"user_id",
"gh_user",
"api_key_id",
"sandbox_id"
],
"type": "object"
}